Library Version 18.1.40

DB_ENV->get_slices()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_slices()

    #include <db.h>

    int
    DB_ENV->get_slices(DB_ENV *dbenv, DB_ENV ***slicepp);

The `DB_ENV->get_slices()` method returns a NULL-terminated array of slice environments. Each element in the array represents one slice.

The `DB_ENV->get_slices()` method may only be called after the environment has been opened.

The `DB_ENV->get_slices()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### slicepp

The `DB_ENV->get_slices()` method returns a reference to a NULL-terminated array of slice environments in slicepp.

### Class

DB_ENV

### See Also

Database Environments and Related Methods

Prev | Up | Next
DB_ENV->get_shm_key() | Home | DB_ENV->get_slice_count()